Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Update jurisdiction
PUT
/api/v1/compliance/jurisdictions/{code}
const url = 'https://api.pitch2sale.com/api/v1/compliance/jurisdictions/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"quiet_hours_start_local":"example","quiet_hours_end_local":"example","no_calls_on_holidays":true,"no_calls_on_weekends":true,"requires_ai_disclosure":true,"ai_disclosure_within_seconds":1,"ai_disclosure_text":"example","requires_recording_disclosure":true,"recording_disclosure_text":"example","requires_prior_express_written_consent":true,"consent_record_retention_days":1,"recording_retention_days":1,"requires_gdpr_right_to_deletion":true,"notes":"example","active":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.pitch2sale.com/api/v1/compliance/jurisdictions/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "quiet_hours_start_local": "example", "quiet_hours_end_local": "example", "no_calls_on_holidays": true, "no_calls_on_weekends": true, "requires_ai_disclosure": true, "ai_disclosure_within_seconds": 1, "ai_disclosure_text": "example", "requires_recording_disclosure": true, "recording_disclosure_text": "example", "requires_prior_express_written_consent": true, "consent_record_retention_days": 1, "recording_retention_days": 1, "requires_gdpr_right_to_deletion": true, "notes": "example", "active": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”code
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
quiet_hours_start_local
string
quiet_hours_end_local
string
no_calls_on_holidays
boolean
no_calls_on_weekends
boolean
requires_ai_disclosure
boolean
ai_disclosure_within_seconds
integer
ai_disclosure_text
string
requires_recording_disclosure
boolean
recording_disclosure_text
string
requires_prior_express_written_consent
boolean
consent_record_retention_days
integer
recording_retention_days
integer
requires_gdpr_right_to_deletion
boolean
notes
string
active
boolean
Examplegenerated
{ "quiet_hours_start_local": "example", "quiet_hours_end_local": "example", "no_calls_on_holidays": true, "no_calls_on_weekends": true, "requires_ai_disclosure": true, "ai_disclosure_within_seconds": 1, "ai_disclosure_text": "example", "requires_recording_disclosure": true, "recording_disclosure_text": "example", "requires_prior_express_written_consent": true, "consent_record_retention_days": 1, "recording_retention_days": 1, "requires_gdpr_right_to_deletion": true, "notes": "example", "active": true}Responses
Section titled “Responses”OK
Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Authentication required or token invalid
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Feature not available on the organization plan
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Role permission or token scope missing
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}